TaskPaginatedListResponse
Successful response with a page of Task
Always 0 in a successful response
0Always null in a successful response
data object[]required
Items of the page: an empty list beyond the last page
Id of the purchase the task works on (GET /api/v3/purchases/{purchase_id})
task_status objectrequired
Status code: TO_EXECUTE (queued), MACHINE (running), WAIT (paused), HUMAN_INTERVENTION (checked by an operator), ASK_USER (waiting for data, POST /api/v3/tasks/{task_id}/data), DONE (completed) or FAIL (failed)
Name of the status for the customers, in Italian, as in the control panel (for example In verifica for HUMAN_INTERVENTION)
Number of the step reached by the task, out of total_instructions: equal to it when the task is done or failed
Total number of steps of the task
Whether the execution of the task has started
Error found in the data provided for the task, null when there is none: the corrected data are sent with POST /api/v3/tasks/{task_id}/data
Date and time the task was created
meta objectrequired
Pagination of the list
Number of items in the whole list
Number of items in this page: 0 beyond the last page
Number of pages of the list
Number of this page, starting from 1
Maximum number of items in a page
{
"error": 0,
"message": "string",
"data": [
{
"task_id": 0,
"purchase_id": 0,
"task_status": {
"status_code": "string",
"status_name": "string"
},
"executed_instructions": 0,
"total_instructions": 0,
"is_started": true,
"ask_user_error": "string",
"date_started": "2024-07-29T15:51:28.071Z"
}
],
"meta": {
"total": 0,
"count": 0,
"pages": 0,
"page": 0,
"per_page": 0
}
}